Liferay.Loader.define("commerce-organization-web$d3-geo@1.11.3/src/path/measure", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    import adder from "../adder";
    import { sqrt } from "../math";
    import noop from "../noop";

    var lengthSum = adder(),
        lengthRing,
        x00,
        y00,
        x0,
        y0;

    var lengthStream = {
      point: noop,
      lineStart: function () {
        lengthStream.point = lengthPointFirst;
      },
      lineEnd: function () {
        if (lengthRing) lengthPoint(x00, y00);
        lengthStream.point = noop;
      },
      polygonStart: function () {
        lengthRing = true;
      },
      polygonEnd: function () {
        lengthRing = null;
      },
      result: function () {
        lengthSum.reset();
        return +lengthSum;
      }
    };

    function lengthPointFirst(x, y) {
      lengthStream.point = lengthPoint;
      x00 = x0 = x, y00 = y0 = y;
    }

    function lengthPoint(x, y) {
      x0 -= x, y0 -= y;
      lengthSum.add(sqrt(x0 * x0 + y0 * y0));
      x0 = x, y0 = y;
    }

    export default lengthStream;
  }
});
//# sourceMappingURL=measure.js.map